<?php
/**
 * Law Firm Lite: Block Patterns
 *
 * @package Law Firm Lite
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'law-firm-lite',
		array( 'label' => __( 'Law Firm Lite', 'law-firm-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'law-firm-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'law-firm-lite' ),
			'categories' => array( 'law-firm-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":6233,\"dimRatio\":0,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":1,\"style\":{\"color\":{\"text\":\"#194067\"}}} -->\n<h1 class=\"has-text-align-left has-text-color\" style=\"color:#194067\">Te obtinuit ut adepto satis somno allisque</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#194067\"}}} -->\n<p class=\"has-text-color\" style=\"color:#194067\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":3,\"style\":{\"color\":{\"background\":\"#194067\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:3px;background-color:#194067\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'law-firm-lite/contact-section',
		array(
			'title'      => __( 'Contact Section', 'law-firm-lite' ),
			'categories' => array( 'law-firm-lite' ),
			'content'    => "<!-- wp:columns {\"align\":\"wide\",\"className\":\"contact-section\"} -->\n<div class=\"wp-block-columns alignwide contact-section\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:columns {\"className\":\"contact-box\",\"style\":{\"color\":{\"background\":\"#e41e37\"}}} -->\n<div class=\"wp-block-columns contact-box has-background\" style=\"background-color:#e41e37\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":6292,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/call.png\" alt=\"\" class=\"wp-image-6292\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color\">Call Us for Free Consultation</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"left\",\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-left has-white-color has-text-color\">+123-456-789</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:social-links {\"align\":\"center\",\"className\":\"is-style-logos-only\"} -->\n<ul class=\"wp-block-social-links aligncenter is-style-logos-only\"><!-- wp:social-link {\"url\":\"www.facebook.com\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.twitter.com\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.instagram.com\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.youtube.com\",\"service\":\"youtube\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:columns {\"className\":\"contact-box\",\"style\":{\"color\":{\"background\":\"#e41e37\"}}} -->\n<div class=\"wp-block-columns contact-box has-background\" style=\"background-color:#e41e37\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":6293,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/email.png\" alt=\"\" class=\"wp-image-6293\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color\">Drop us a mail</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"left\",\"textColor\":\"white\"} -->\n<h2 class=\"has-text-align-left has-white-color has-text-color\">info@defender.com</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'law-firm-lite/services-section',
		array(
			'title'      => __( 'Our Practice Section', 'law-firm-lite' ),
			'categories' => array( 'law-firm-lite' ),
			'content'    => "<!-- wp:cover {\"overlayColor\":\"white\",\"align\":\"wide\",\"className\":\"article-outer-box\"} -->\n<div class=\"wp-block-cover alignwide has-white-background-color has-background-dim article-outer-box\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":5,\"style\":{\"color\":{\"text\":\"#e41e37\"}}} -->\n<h5 class=\"has-text-align-center has-text-color\" style=\"color:#e41e37\">HIGH LEVEL SERVICES</h5>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#194067\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#194067\">Our Practice Areas</h3>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"article-conatiner\"} -->\n<div class=\"wp-block-columns alignwide article-conatiner\"><!-- wp:column {\"className\":\"article-inner-box\"} -->\n<div class=\"wp-block-column article-inner-box\"><!-- wp:image {\"align\":\"center\",\"id\":6260,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/practice-area1.png\" alt=\"\" class=\"wp-image-6260\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"article-box-content\"} -->\n<div class=\"wp-block-group article-box-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"textColor\":\"white\"} -->\n<h4 class=\"has-text-align-center has-white-color has-text-color\">Practice Areas Title 1</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color no-border-radius\">Consult Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"article-inner-box\"} -->\n<div class=\"wp-block-column article-inner-box\"><!-- wp:image {\"align\":\"center\",\"id\":6263,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/practice-area2.png\" alt=\"\" class=\"wp-image-6263\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"article-box-content\"} -->\n<div class=\"wp-block-group article-box-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"textColor\":\"white\"} -->\n<h4 class=\"has-text-align-center has-white-color has-text-color\">Practice Areas Title 2</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color no-border-radius\">Consult Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"article-inner-box\"} -->\n<div class=\"wp-block-column article-inner-box\"><!-- wp:image {\"align\":\"center\",\"id\":6267,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/practice-area3.png\" alt=\"\" class=\"wp-image-6267\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"article-box-content\"} -->\n<div class=\"wp-block-group article-box-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"textColor\":\"white\"} -->\n<h4 class=\"has-text-align-center has-white-color has-text-color\">Practice Areas Title 3</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"align\":\"center\"} -->\n<div class=\"wp-block-buttons aligncenter\"><!-- wp:button {\"borderRadius\":0,\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color no-border-radius\">Consult Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);
}